Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class SVGConverter.SVGFileFilter

    java.lang.Object
      org.apache.batik.apps.rasterizer.SVGConverter.SVGFileFilter

All Implemented Interfaces:
  java.io.FileFilter

Enclosing class:
  SVGConverter

public static class SVGConverter.SVGFileFilter
extends java.lang.Object
implements java.io.FileFilter

Convenience class to filter svg files

Field Summary
`static java.lang.String` | `SVG_EXTENSION`

Constructor Summary
`SVGConverter.SVGFileFilter()`

Method Summary
`boolean` | `accept(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVG_EXTENSION

    public static final java.lang.String SVG_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### SVGConverter.SVGFileFilter

    public SVGConverter.SVGFileFilter()

Method Detail

### accept

    public boolean accept(java.io.File file)

  Specified by:
    `accept` in interface `java.io.FileFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.